import axios from '@/utils/request'


export function getDetailCodes(query) {
  return axios({
    url: "/udiwms/inout/order/draft/detailCode",
    method: "get",
    params: query
  });
}

//获取业务明细
export function getDetailBizs(query) {
  return axios({
    url: "/udiwms/inout/order/draft/biz",
    method: "get",
    params: query
  });
}


//业务明细添加产品
export function addBizProduct(query) {
  return axios({
    url: "/udiwms/inout/order/addBizProduct",
    method: "post",
    data: query
  });
}

export function updateBizProduct(query) {
  return axios({
    url: "/udiwms/inout/order/updateBizProduct",
    method: "post",
    data: query
  });
}

export function delBizProduct(query) {
  return axios({
    url: "/udiwms/inout/order/delBizProduct",
    method: "post",
    data: query
  });
}

export function getCodeDetailList(params) {
  return axios({
    url: "udiwms/inout/codeDetail/filterList",
    method: "get",
    params: params
  });
}


